ikariusBlog

Eclipse WindowBuilder LookAndFeel GTK+ auf KDE stürzt ab

Von in java, linux

Auf Linux arbei­tend habe ich über die Jah­re schon eini­ge IDEs durch­pro­biert. Trotz mei­ner Begeis­te­rung für Sub­li­me bin ich aber immer wie­der zu Net­be­ans zurück­ge­kehrt, zumin­dest was die Arbeit mit PHP und MyS­QL betrifft. Für Java ver­wen­de ich aber Eclip­se, was ich mir jedoch gera­de erst fürch­ter­lich zer­schos­sen hat­te. Das Ändern einer ver­meint­lich unbe­deu­ten­den Ein­stel­lung ließ Eclip­se abstür­zen und ver­setz­te die IDE für einen bestimm­ten Bereich in einen unbe­nutz­ba­ren Zustand. Trotz inten­si­ver Suche im Netz fand ich kei­ne Lösung für…  

… wei­ter­le­sen (read more)

Linux meldet Fehler bei der Überprüfung der Signatur

Von in linux

Übli­cher­wei­se über­prüft Linux nach dem Hin­zu­fü­gen einer neu­en Paket­quel­le die Gül­tig­keit der­sel­ben mit­tels eines öffent­li­chen Schlüs­sels. Steht der Schlüs­sel nicht zur Ver­fü­gung, ist er ungül­tig, oder schlägt der Abgleich über das Inter­net fehl, ver­wei­gert Linux die Ver­wen­dung der Quel­le. Um aus­sa­ge­kräf­ti­ge Feh­ler­mel­dun­gen zu erhal­ten, soll­te man die Kon­so­le bemü­hen, der Paket- bzw. Updatema­na­ger ver­hält sich hier mit­un­ter nicht beson­ders auf­schluss­reich. Übli­cher­wei­se sieht man nach dem Befehl “apt-​​get update” fol­gen­de bei­spiel­haf­te Feh­ler­mel­dung, die auch gleich eine wich­ti­ge Zusatz­in­for­ma­ti­on für die Lösung…  

… wei­ter­le­sen (read more)

Ubuntu Canon Pixma Drucker-​Treiber

Von in linux

Unzäh­li­ge Ver­su­che habe ich schon unter­nom­men, mei­nen nicht mehr ganz neu­en Canon-​​Drucker PIXMA iP2200 unter Ubun­tu zum Lau­fen zu brin­gen. Als ich 2007 von Win­dows auf Linux wech­sel­te, war der Hardware-​​Support von Ubun­tu “Feis­ty Fawn” noch sehr dürf­tig, aber auch heu­te noch hat man unter “Uto­pic Uni­corn” mit so man­chen Peri­phe­rie­ge­rä­ten ein Nach­se­hen. Canon bie­tet mitt­ler­wei­le Trei­ber für Linux an, aller­dings im .RPM-​​Format. Eine Umfor­ma­tie­rung mit Ali­en gelang mir zwar, aber auch nach der ver­meint­lich erfolg­rei­chen Instal­la­ti­on blieb der Dru­cker…  

… wei­ter­le­sen (read more)

DWD webSDR 147,3 kHz mit fldigi dekodieren

Von in geografie, linux, nautik

Auf der Suche nach einem mari­ti­men Wet­ter­dienst, des­sen Emp­fang kei­ne Inter­net­ver­bin­dung vor­aus­setzt, bin ich auf einen inter­es­san­ten Ser­vice des Deut­schen Wet­ter­diens­tes gesto­ßen, den ich hier näher beschrei­ben möch­te. Für den Emp­fang benö­tigt wer­den ein Radio, das Fre­quen­zen unter 150kHz emp­fan­gen kann, und ein Lap­top zum Deko­die­ren des ver­schlüs­sel­ten Signals. Die­ses Set­up klingt zwar etwas umständ­lich, die wert­vol­len Wet­ter­da­ten sind jedoch auf ande­rem Weg prak­tisch nicht zu erhal­ten. Und, mit die­ser Hard­ware las­sen sich so neben­bei auch NAVTEX und Wet­ter­fa­xe dar­stel­len!…  

… wei­ter­le­sen (read more)

WordPress File upload error

Von in linux, php

Jetzt hat mich das Pro­blem auch erwischt und eine Stun­de Inter­net­re­cher­che gekos­tet. Wor­d­Press hat den Upload eines Bil­des ver­wei­gert und der Ser­ver im Log die Nach­richt “File upload error - unab­le to crea­te a tem­pora­ry file in Unknown on line 0” hin­ter­las­sen. Die Ursa­che war ein schon etwas zurück­lie­gen­des Update von PHP, bei dem die php.ini über­schrie­ben wur­de. Lei­der kann man sich dar­an oft spä­ter nicht mehr erin­nern und sucht dann eine lan­ge Zeit an der fal­schen Stel­le. Wie zwar oft…  

… wei­ter­le­sen (read more)

Git push asking for username and password

Von in linux, netzthetik

I fidd­led around with this issue for a vast amount of time. I bur­ro­wed into panels. I bla­med my Ubun­tu instal­la­ti­on for a bro­ken gno­me key­ring. I instal­led SSH keys ump­te­en times. Not­hing came of it. Each time I pushed the last git com­mit to Git­Hub from wit­hin the con­so­le, git asked for aut­ho­ri­za­ti­on. Then one day acci­dent­al­ly I came across the con­fi­gu­ra­ti­on file of git loca­ted at .git/​​config and a line star­ting with https://… attrac­ted my atten­ti­on. No sur­pri­se. For­cing git to con­nect to Git­Hub via HTTPS…  

… wei­ter­le­sen (read more)

PHP setlocale works. Sometimes.

Von in linux, php

Did you ever face the pro­blem that set­lo­ca­le works like a charm, until you rel­oad the page? In one case it does what it is sup­po­sed to do, the other one it fails and dis­plays the ser­ver fall­back set­ting. Lets have a look at the fol­lo­wing state­ment: setlocale(LC_ALL, ‘ru_​RU’); strftime(“%B”,time()); … which should return the cur­rent month in Rus­si­an bey­ond any doubt. It would, but becau­se Rus­si­an was not instal­led on your ser­ver, you did the fol­lo­wing befo­re: sudo locale-​gen ru_​RU I…  

… wei­ter­le­sen (read more)

SSH verliert Verbindung

Von in linux

Wer mit­tels SSH zu einem ent­fern­ten Rech­ner Ver­bin­dung auf­nimmt wird frü­her oder spä­ter über ein ner­vi­ges Ver­hal­ten stol­pern: Im Ruhe­zu­stand, wenn also über mehr oder weni­ger kur­ze Zeit kein Befehl gesen­det wird, kappt die Secu­re Shell aus Sicher­heits­grün­den die Ver­bin­dung. Das kann bei man­chen Konsolen-​​Programmen beson­ders unan­ge­nehm sein, weil die­se dann auf gar kei­ne Ein­ga­be mehr reagie­ren und neu gestar­tet wer­den müs­sen. Wem Prak­ti­ka­bi­li­tät wich­ti­ger als die­ses (beschei­de­ne) Sicher­heits­fea­ture ist, der kann SSH so kon­fi­gu­rie­ren, dass im Ruhe­zu­stand die Ver­bin­dung…  

… wei­ter­le­sen (read more)

Unmet dependencies after downgrading PHP 5.4 to 5.3

Von in linux, php

Not long ago I made a big mista­ke. I set up Ubun­tu 12.10 for a pro­ject requi­ring PHP 5.3. It didn’t take long in com­ing to rea­li­ze I had to down­gra­de PHP from ver­si­on 5.4.6 to ver­si­on 5.3.10. A hard road. But I scored a suc­cess and the pro­ject worked like a charm. Until I had to deploy ano­t­her modu­le, for me it was curl (but it could be pear, mycrypt, phpmy­ad­min or some­thing else just as well). Any instal­la­ti­on fai­led with unse­xy messa­ges like root@example:/#The fol­lo­wing packa­ges have unmet…  

… wei­ter­le­sen (read more)

1

Lenovo Laptop Dockingstation Dualmonitor mit Ubuntu

Von in linux

Auch wenn die Ten­denz wohl in Rich­tung Breit­bild­schir­me gehen dürf­te, schät­zen vie­le immer noch das Arbei­ten auf zwei Moni­to­ren. Selbst dann muss nicht unbe­dingt auf Bild­schir­me mit Über­brei­te ver­zich­tet wer­den, aller­dings muss die ein­ge­setz­te Gra­fik­kar­te die Sum­me der Auf­lö­sun­gen unter­stüt­zen. In der Arbeit erfreue ich mich seit kur­zem über einen neu­en 1680 x 1050 Moni­tor, bin aber im Arbeits­ab­lauf zwei Bild­schir­me gewohnt. Zwei Breit­schir­me wären für die Gra­fik­kar­te zu viel, aber als Zweit­schirm genügt ein 1280 x 1024 abso­lut. Das Bild lie­fert…  

… wei­ter­le­sen (read more)

0